### Method

# Gtk TreeModelFilterconvert_path_to_child_path

deprecated: 4.10

#### Declaration [src]

    GtkTreePath*
    gtk_tree_model_filter_convert_path_to_child_path (
      GtkTreeModelFilter* filter,
      GtkTreePath* filter_path
    )

#### Description [src]

Converts `filter_path` to a path on the child model of `filter`. That is, `filter_path` points to a location in `filter`. The returned path will point to the same location in the model not being filtered. If `filter_path` does not point to a location in the child model, `NULL` is returned.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`filter_path`

  Type: `GtkTreePath`

  A `GtkTreePath` to convert.

  The data is owned by the caller of the method.

#### Return value

Type: `GtkTreePath`

A newly allocated `GtkTreePath`

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.